## fcitx-qt5 1.2.3.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(fcitx-qt5)

set(FcitxQt5_VERSION 1.1.0)
set(REQUIRED_QT_VERSION 5.1.0)

find_package(ECM 1.4.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

option(ENABLE_LIBRARY "Qt library" On)

include(GNUInstallDirs)
include(FeatureSummary)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

include(CheckCXXCompilerFlag)

check_cxx_compiler_flag("-std=gnu++11" SUPPORT_CXX11)

if(NOT SUPPORT_CXX11)
    message(FATAL_ERROR "need c++ 11 compatible compiler to compile")
endif()

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11 -Wall")

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Widgets Concurrent)
find_package(Qt5Gui ${REQUIRED_QT_VERSION} REQUIRED Private)
find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)

if (ENABLE_LIBRARY)
find_package(Fcitx 4.2.8 REQUIRED)
find_package(LibIntl REQUIRED)
endif ()

set(FcitxQt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/FcitxQt5)

if (ENABLE_LIBRARY)
add_subdirectory(dbusaddons)
add_subdirectory(widgetsaddons)
add_subdirectory(guiwrapper)
add_subdirectory(quickphrase-editor)
add_subdirectory(po)
endif()

add_subdirectory(platforminputcontext)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
fcitx-qt5 (1.2.3.6-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Thu, 08 Apr 2021 16:00:09 +0800

fcitx-qt5 (1.2.5-2~exp1) experimental; urgency=medium

  * Team upload.
  * debian/control: Rename package fcitx5-module-quickphrase-editor
    back to fcitx-module-quickphrase-editor. The current design has
    made it incompatible with fcitx5. (Closes: #964189)
  * debian/control: Bump Standards-Version to 4.5.1.

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Jan 2021 16:01:45 -0500

fcitx-qt5 (1.2.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/libfcitx-qt5-1.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Wed, 05 Aug 2020 14:10:03 -0400

fcitx-qt5 (1.2.4+git20200609-1) unstable; urgency=medium

  * Team upload.
  * New upstream snapshot (2020-06-09).
    + Compatible with kcm-fcitx 0.5.6.
  * debian/control:
    + Bump Standards-Version to 4.5.0.
    + Bump debhelper compat to v13.
  * debian/upstream/signing-key.asc: Since we are using snapshot
    tarball, disable key signing check for now. This should be
    reverted with next upload.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jul 2020 11:00:03 -0400

fcitx-qt5 (1.2.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 1.2.4.
  * debian/control:
    + Bump Standards-Version to 4.4.1.

 -- Boyuan Yang <byang@debian.org>  Tue, 26 Nov 2019 14:44:13 -0500

fcitx-qt5 (1.2.3-3) unstable; urgency=medium

  * Team upload.
  * Rebuild after Debian Buster release.
  * debian/control:
    + Bump Standards-Version to 4.4.0.
    + Bump debhelper compat to v12.
    + No longer let fcitx5-module-quickphrase-editor provide
      fcitx-module-quickphrase-editor since the new fcitx is
      declaring "Breaks:" relationship on the latter one.
  * debian/libfcitx-qt5-1.symbols: Add new symbols.

 -- Boyuan Yang <byang@debian.org>  Mon, 23 Sep 2019 18:30:02 -0400

=== debian/control ===
Source: fcitx-qt5
Section: libs
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 cmake (>= 3.1),
 debhelper-compat (= 12),
 extra-cmake-modules (>= 1.4.0),
 fcitx-libs-dev (>= 1:4.2.8),
 intltool,
 pkg-config,
 qtbase5-dev,
 qtbase5-private-dev,
Standards-Version: 4.5.1
Homepage: https://www.fcitx-im.org
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-qt5.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-qt5

Package: fcitx-frontend-qt5
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 fcitx-module-dbus,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Free Chinese Input Toy of X - Qt5 IM Module frontend
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables.
 It is highly modularized and extensible,
 with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
 pure Xlib, GTK+, or KDE, and a developer-friendly API.
 .
 This package provides the Qt5 IM Module frontend, which is necessary
 for Fcitx users who would like to use Qt5 applications.

Package: fcitx-module-quickphrase-editor
Architecture: any
Depends:
 libfcitx-qt5-data,
 ${misc:Depends},
 ${shlibs:Depends},
Replaces:
 fcitx5-module-quickphrase-editor (<< 1.2.5-2),
Breaks:
 fcitx5-module-quickphrase-editor (<< 1.2.5-2),
Suggests:
 fcitx-config-gtk | fcitx-config-gtk2 | kde-config-fcitx,
Multi-Arch: same
Description: Flexible Input Method Framework - Quick Phrase editor module
 Fcitx is a input method framework with extension support, which provides
 an interface for entering characters of different scripts in applications
 using a variety of mapping systems.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables. It is
 highly modularized and extensible, with GTK+ 2/3 and Qt 4/5 IM Modules,
 support for UIs based on Fbterm, pure Xlib, GTK+, or KDE, and a
 developer-friendly API.
 .
 This package provides the Quick Phrase Editor module for configuration tools
 including fcitx-config-gtk and kde-config-fcitx. It is compatible with both
 fcitx4.

Package: libfcitx-qt5-1
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Breaks:
 fcitx-libs-qt5 (<< 1.0.0),
Replaces:
 fcitx-libs-qt5 (<< 1.0.0),
Depends:
 libfcitx-qt5-data,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx-frontend-qt5,
Description: Free Chinese Input Toy of X - D-Bus client libraries for Qt5
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables.
 It is highly modularized and extensible,
 with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
 pure Xlib, GTK+, or KDE, and a developer-friendly API.
 .
 This package contains the following libraries:
  * libFcitxQt5DBusAddons - D-Bus Addons library for Qt5
  * libFcitxQt5WidgetsAddons - Widgets Addons library for Qt5

Package: libfcitx-qt5-data
Architecture: all
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
Multi-Arch: foreign
Description: Free Chinese Input Toy of X - data files for Qt5 integration
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables.
 It is highly modularized and extensible,
 with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
 pure Xlib, GTK+, or KDE, and a developer-friendly API.
 .
 This package contains data files for fcitx Qt5 integration library and
 Qt5 frontend.

Package: libfcitx-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Breaks:
 fcitx-libs-qt5-dev,
Replaces:
 fcitx-libs-qt5-dev,
Depends:
 libfcitx-qt5-1 (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 fcitx-libs-dev,
Description: Free Chinese Input Toy of X - Devel files for libfcitx-qt5
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It offers a pleasant and modern experience, with intuitive graphical
 configuration tools and customizable skins and mapping tables.
 It is highly modularized and extensible,
 with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
 pure Xlib, GTK+, or KDE, and a developer-friendly API.
 .
 This package provides the development files of fcitx-qt5.

## fcitx-qt5 1.2.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -20,13 +20,13 @@
 
 include(CheckCXXCompilerFlag)
 
-check_cxx_compiler_flag("-std=gnu++11" SUPPORT_CXX11)
+check_cxx_compiler_flag("-std=c++11" SUPPORT_CXX11)
 
 if(NOT SUPPORT_CXX11)
     message(FATAL_ERROR "need c++ 11 compatible compiler to compile")
 endif()
 
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11 -Wall")
+set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11 -Wall")
 
 find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core DBus Widgets Concurrent)
 find_package(Qt5Gui ${REQUIRED_QT_VERSION} REQUIRED Private)
@@ -37,7 +37,7 @@
 find_package(LibIntl REQUIRED)
 endif ()
 
-set(FcitxQt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_INCLUDEDIR}/FcitxQt5)
+set(FcitxQt5_INCLUDE_INSTALL_DIR ${CMAKE_INSTALL_FULL_INCLUDEDIR}/FcitxQt5)
 
 if (ENABLE_LIBRARY)
 add_subdirectory(dbusaddons)

=== debian/changelog ===
fcitx-qt5 (1.2.4-1build2) focal; urgency=medium

  * No-change rebuild against qtbase-abi-5-12-8.

 -- Rik Mills <rikmills@kde.org>  Fri, 10 Apr 2020 19:57:22 +0100

fcitx-qt5 (1.2.4-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:13:49 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.5.1
+Standards-Version: 4.4.1
 Homepage: https://www.fcitx-im.org
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-qt5.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-qt5
@@ -44,16 +44,16 @@
  This package provides the Qt5 IM Module frontend, which is necessary
  for Fcitx users who would like to use Qt5 applications.
 
-Package: fcitx-module-quickphrase-editor
+Package: fcitx5-module-quickphrase-editor
 Architecture: any
 Depends:
  libfcitx-qt5-data,
  ${misc:Depends},
  ${shlibs:Depends},
 Replaces:
- fcitx5-module-quickphrase-editor (<< 1.2.5-2),
+ fcitx-module-quickphrase-editor (<< 1:4.2.9.5~),
 Breaks:
- fcitx5-module-quickphrase-editor (<< 1.2.5-2),
+ fcitx-module-quickphrase-editor (<< 1:4.2.9.5~),
 Suggests:
  fcitx-config-gtk | fcitx-config-gtk2 | kde-config-fcitx,
 Multi-Arch: same
@@ -70,7 +70,7 @@
  .
  This package provides the Quick Phrase Editor module for configuration tools
  including fcitx-config-gtk and kde-config-fcitx. It is compatible with both
- fcitx4.
+ fcitx4 and fcitx5.
 
 Package: libfcitx-qt5-1
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
export QT_SELECT := 5

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_missing:
	 dh_missing --fail-missing

## fcitx-qt5 1.2.5

=== platforminputcontext/CMakeLists.txt ===
include_directories(${Qt5Gui_PRIVATE_INCLUDE_DIRS})


set(plugin_SRCS
    fcitxinputcontextproxy.cpp
    fcitxqtdbustypes.cpp
    fcitxwatcher.cpp
    qfcitxplatforminputcontext.cpp
    main.cpp
    qtkey.cpp
)

set_source_files_properties(org.fcitx.Fcitx.InputContext.xml PROPERTIES
INCLUDE fcitxqtdbustypes.h)
set_source_files_properties(org.fcitx.Fcitx.InputContext1.xml PROPERTIES
INCLUDE fcitxqtdbustypes.h)
set_source_files_properties(org.fcitx.Fcitx.InputMethod.xml PROPERTIES
INCLUDE fcitxqtdbustypes.h)
set_source_files_properties(org.fcitx.Fcitx.InputMethod1.xml PROPERTIES
INCLUDE fcitxqtdbustypes.h)

qt5_add_dbus_interface(plugin_SRCS org.fcitx.Fcitx.InputContext.xml inputcontextproxy)
qt5_add_dbus_interface(plugin_SRCS org.fcitx.Fcitx.InputContext1.xml inputcontext1proxy)
qt5_add_dbus_interface(plugin_SRCS org.fcitx.Fcitx.InputMethod.xml inputmethodproxy)
qt5_add_dbus_interface(plugin_SRCS org.fcitx.Fcitx.InputMethod1.xml inputmethod1proxy)

add_library(fcitxplatforminputcontextplugin MODULE ${plugin_SRCS})
set_target_properties(fcitxplatforminputcontextplugin PROPERTIES
                         AUTOMOC TRUE
                         COMPILE_FLAGS "-fvisibility=hidden"
                         LINK_FLAGS "-Wl,--no-undefined"
                        )
target_include_directories(fcitxplatforminputcontextplugin
                           PRIVATE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
                          )
target_link_libraries(fcitxplatforminputcontextplugin
                          Qt5::Core
                          Qt5::Gui
                          Qt5::DBus
                          XKBCommon::XKBCommon
                         )

include(ECMQueryQmake)
if (NOT CMAKE_INSTALL_QTPLUGINDIR)
query_qmake(CMAKE_INSTALL_QTPLUGINDIR QT_INSTALL_PLUGINS)
endif()
install(TARGETS fcitxplatforminputcontextplugin DESTINATION ${CMAKE_INSTALL_QTPLUGINDIR}/platforminputcontexts)

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
  YunQiang Su <syq@debian.org>,
 Build-Depends:
  cmake (>= 3.1),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules (>= 1.4.0),
  fcitx-libs-dev (>= 1:4.2.8),
  intltool,
  pkg-config,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.fcitx-im.org
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-qt5.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-qt5

=== debian/rules ===
#!/usr/bin/make -f
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =
export QT_SELECT := 5

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/default.mk
CFLAGS += $(CPPFLAGS)
CXXFLAGS += $(CPPFLAGS)

%:
	dh $@

## fcitx-qt5 1.2.6.2

=== debian/changelog ===
fcitx-qt5 (1.2.6.2-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Tue, 21 Dec 2021 16:29:42 +0800

## fcitx-qt5 1.2.6.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.1)

project(fcitx-qt5)

set(FcitxQt5_VERSION 1.1.0)
set(REQUIRED_QT_VERSION 5.1.0)
set(REQUIRED_QT6_VERSION 6.0.0)

find_package(ECM 1.4.0 REQUIRED NO_MODULE)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)

option(ENABLE_QT5 "Enable Qt5" On)
option(ENABLE_QT6 "Enable Qt6 im module" Off)
option(ENABLE_LIBRARY "Qt library" On)

include(GNUInstallDirs)
include(FeatureSummary)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

set(CMAKE_CXX_EXTENSIONS OFF)
set(CMAKE_CXX_STANDARD_REQUIRED TRUE)
set(CMAKE_CXX_STANDARD 17)

set(CMAKE_C_FLAGS "-Wall -Wextra ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--no-undefined -Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--no-undefined -Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")

set(CMAKE_C_VISIBILITY_PRESET hidden)
set(CMAKE_CXX_VISIBILITY_PRESET hidden)
set(CMAKE_VISIBILITY_INLINES_HIDDEN On)

if (POLICY CMP0063)
    # No sane project should be affected by CMP0063, so suppress the warnings
    # generated by the above visibility settings in CMake >= 3.3
    cmake_policy(SET CMP0063 NEW)
endif()

find_package(XKBCommon 0.5.0 REQUIRED COMPONENTS XKBCommon)

if (ENABLE_LIBRARY)
find_package(Fcitx 4.2.8 REQUIRED)
find_package(LibIntl REQUIRED)
add_subdirectory(po)
endif ()

if(ENABLE_QT5)
    add_subdirectory(qt5)
endif()

if(ENABLE_QT6)
    add_subdirectory(qt6)
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-qt5 fcitx-qt5.pot)

=== qt5/quickphrase-editor/CMakeLists.txt ===
link_directories(
    ${FCITX4_FCITX_UTILS_LIBRARY_DIRS}
    ${FCITX4_FCITX_CONFIG_LIBRARY_DIRS}
)

set(QUICKPHRASE_EDITOR_SRCS 
  main.cpp
  model.cpp
  editor.cpp
  editordialog.cpp
  batchdialog.cpp
  filelistmodel.cpp
  )
fcitx_translate_add_sources(
  ${QUICKPHRASE_EDITOR_SRCS})

include_directories(
  ${LIBINTL_INCLUDE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${FCITX4_FCITX_UTILS_INCLUDE_DIRS}
  )
qt5_wrap_ui(QUICKPHRASE_EDITOR_SRCS editordialog.ui batchdialog.ui editor.ui)
add_library(fcitx-quickphrase-editor5
  MODULE ${QUICKPHRASE_EDITOR_SRCS})

set_target_properties(fcitx-quickphrase-editor5 PROPERTIES
                      LINK_FLAGS "-Wl,--no-undefined"
                      AUTOMOC TRUE
)
target_link_libraries(fcitx-quickphrase-editor5
  Qt5::Core
  Qt5::Gui
  Qt5::Concurrent
  FcitxQt5::WidgetsAddons
  LibIntl::LibIntl
  ${FCITX4_FCITX_UTILS_LIBRARIES}
  ${FCITX4_FCITX_CONFIG_LIBRARIES}
)

install(TARGETS fcitx-quickphrase-editor5 DESTINATION ${FCITX4_ADDON_INSTALL_DIR}/qt)

=== debian/changelog ===
fcitx-qt5 (1.2.6.4-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Fri, 20 May 2022 17:43:03 +0800

fcitx-qt5 (1.2.6.3-1) experimental; urgency=medium

  * 龙芯1050集成

 -- chenshijie <chenshijie@uniontech.com>  Fri, 21 Dec 2021 16:39:00 -0500

## fcitx-qt5 1.2.7

=== qt5/dbusaddons/CMakeLists.txt ===
ecm_setup_version(${FcitxQt5_VERSION} VARIABLE_PREFIX FCITXQT5DBUSADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/fcitxqtdbusaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5DBusAddonsConfigVersion.cmake"
                        SOVERSION 1)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKE_INSTALL_LIBDIR}/cmake/FcitxQt5DBusAddons")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/FcitxQt5DBusAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5DBusAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5DBusAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/FcitxQt5DBusAddonsConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT FcitxQt5DBusAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE FcitxQt5DBusAddonsTargets.cmake NAMESPACE FcitxQt5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fcitxqtdbusaddons_version.h
        DESTINATION ${FcitxQt5_INCLUDE_INSTALL_DIR} COMPONENT Devel )

set(dbusaddons_SOURCES
    fcitxqtconnection.cpp
    fcitxqtformattedpreedit.cpp
    fcitxqtinputcontextproxy.cpp
    fcitxqtinputmethodproxy.cpp
    fcitxqtkeyboardlayout.cpp
    fcitxqtkeyboardproxy.cpp
    fcitxqtinputmethoditem.cpp
    )

set(dbusaddons_HEADERS
    fcitxqtconnection.h
    fcitxqtformattedpreedit.h
    fcitxqtinputcontextproxy.h
    fcitxqtinputmethodproxy.h
    fcitxqtkeyboardlayout.h
    fcitxqtkeyboardproxy.h
    fcitxqtinputmethoditem.h
)

set(fcitxqtdbusaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_library(FcitxQt5DBusAddons SHARED ${dbusaddons_SOURCES})
generate_export_header(FcitxQt5DBusAddons BASE_NAME FcitxQtDBusAddons)
add_library(FcitxQt5::DBusAddons ALIAS FcitxQt5DBusAddons)

target_include_directories(FcitxQt5DBusAddons PUBLIC "$<BUILD_INTERFACE:${fcitxqtdbusaddons_INCLUDE_DIRS}>")
target_include_directories(FcitxQt5DBusAddons INTERFACE "$<INSTALL_INTERFACE:${FcitxQt5_INCLUDE_INSTALL_DIR}/FcitxQtDBusAddons>")

set_target_properties(FcitxQt5DBusAddons
                      PROPERTIES VERSION 1.0
                      AUTOMOC TRUE
                      SOVERSION 1
                      COMPILE_FLAGS "-fvisibility=hidden"
                      LINK_FLAGS "-Wl,--no-undefined"
                      EXPORT_NAME DBusAddons
)

target_link_libraries(
    FcitxQt5DBusAddons
    PUBLIC
        Qt5::Core
        Qt5::DBus
)

install(TARGETS FcitxQt5DBusAddons EXPORT FcitxQt5DBusAddonsTargets LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}")

install(FILES ${dbusaddons_HEADERS}
              ${CMAKE_CURRENT_BINARY_DIR}/fcitxqtdbusaddons_export.h
              DESTINATION "${FcitxQt5_INCLUDE_INSTALL_DIR}/FcitxQtDBusAddons")

=== qt5/guiwrapper/CMakeLists.txt ===
set(QT_WRAPPER_SRCS
  main.cpp
  wrapperapp.cpp
  mainwindow.cpp
  )

fcitx_translate_add_sources(
  ${QT_WRAPPER_SRCS}
  )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  )

link_directories(${FCITX4_FCITX_UTILS_LIBRARY_DIRS})

qt5_wrap_ui(QT_WRAPPER_SRCS mainwindow.ui)

add_executable(fcitx-qt5-gui-wrapper ${QT_WRAPPER_SRCS})

set_target_properties(fcitx-qt5-gui-wrapper
  PROPERTIES AUTOMOC TRUE)

target_link_libraries(fcitx-qt5-gui-wrapper
      Qt5::Core
      Qt5::Gui
      Qt5::Widgets
      FcitxQt5::DBusAddons
      FcitxQt5::WidgetsAddons
      LibIntl::LibIntl
      ${FCITX4_FCITX_UTILS_LIBRARIES}
)

install(TARGETS fcitx-qt5-gui-wrapper DESTINATION "${CMAKE_INSTALL_LIBDIR}/fcitx/libexec")

=== qt6/platforminputcontext/CMakeLists.txt ===
include_directories(${Qt6Gui_PRIVATE_INCLUDE_DIRS})


set(plugin_SRCS
    fcitxinputcontextproxy.cpp
    fcitxqtdbustypes.cpp
    fcitxwatcher.cpp
    qfcitxplatforminputcontext.cpp
    main.cpp
    qtkey.cpp
)

set_source_files_properties(org.fcitx.Fcitx.InputContext.xml PROPERTIES
INCLUDE fcitxqtdbustypes.h)
set_source_files_properties(org.fcitx.Fcitx.InputContext1.xml PROPERTIES
INCLUDE fcitxqtdbustypes.h)
set_source_files_properties(org.fcitx.Fcitx.InputMethod.xml PROPERTIES
INCLUDE fcitxqtdbustypes.h)
set_source_files_properties(org.fcitx.Fcitx.InputMethod1.xml PROPERTIES
INCLUDE fcitxqtdbustypes.h)

qt6_add_dbus_interface(plugin_SRCS org.fcitx.Fcitx.InputContext.xml inputcontextproxy)
qt6_add_dbus_interface(plugin_SRCS org.fcitx.Fcitx.InputContext1.xml inputcontext1proxy)
qt6_add_dbus_interface(plugin_SRCS org.fcitx.Fcitx.InputMethod.xml inputmethodproxy)
qt6_add_dbus_interface(plugin_SRCS org.fcitx.Fcitx.InputMethod1.xml inputmethod1proxy)

add_library(fcitxplatforminputcontextplugin-qt6 MODULE ${plugin_SRCS})
set_target_properties(fcitxplatforminputcontextplugin-qt6 PROPERTIES
                         AUTOMOC TRUE
                         COMPILE_FLAGS "-fvisibility=hidden"
                         LINK_FLAGS "-Wl,--no-undefined"
                        )
target_include_directories(fcitxplatforminputcontextplugin-qt6
                           PRIVATE ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR}
                          )
target_link_libraries(fcitxplatforminputcontextplugin-qt6
                          Qt6::Core
                          Qt6::Gui
                          Qt6::DBus
                          XKBCommon::XKBCommon
                         )

get_target_property(_QT6_QMAKE_EXECUTABLE Qt6::qmake LOCATION)
execute_process(
    COMMAND ${_QT6_QMAKE_EXECUTABLE} -query "QT_INSTALL_PLUGINS"
    RESULT_VARIABLE return_code
    OUTPUT_VARIABLE _QT6PLUGINDIR
)
if(return_code EQUAL 0)
    string(STRIP "${_QT6PLUGINDIR}" _QT6PLUGINDIR)
else()
    message(FATAL_ERROR "QMake Qt6 call failed: ${return_code}")
endif()
set(CMAKE_INSTALL_QT6PLUGINDIR ${_QT6PLUGINDIR} CACHE PATH "Qt6 plugin dir")
install(TARGETS fcitxplatforminputcontextplugin-qt6 DESTINATION ${CMAKE_INSTALL_QT6PLUGINDIR}/platforminputcontexts)

=== debian/changelog ===
fcitx-qt5 (1.2.7-3ubuntu8) questing; urgency=medium

  * No-change rebuild for Qt 6.9.2 private ABI.

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Sep 2025 07:42:21 +0100

fcitx-qt5 (1.2.7-3ubuntu7) questing; urgency=medium

  * No-change rebuild against Qt 5.15.17.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 13 Jul 2025 10:54:06 +0300

fcitx-qt5 (1.2.7-3ubuntu6) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.3 (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 29 Mar 2025 15:05:47 -0500

fcitx-qt5 (1.2.7-3ubuntu5) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.2.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 03 Feb 2025 01:32:53 -0600

fcitx-qt5 (1.2.7-3ubuntu4) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.1.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 14:29:32 -0600

fcitx-qt5 (1.2.7-3ubuntu3) plucky; urgency=medium

  * No-change rebuild for Qt 6.8.0.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 04 Dec 2024 14:29:32 -0600

fcitx-qt5 (1.2.7-3ubuntu2) plucky; urgency=medium

  * No-change rebuild against Qt 6.7.2 private-abi.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Oct 2024 17:51:51 +0100

fcitx-qt5 (1.2.7-3ubuntu1) oracular; urgency=medium

  * Add a patch to avoid calling qmake6, which is broken on arm64.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sun, 15 Sep 2024 21:06:47 +0300

fcitx-qt5 (1.2.7-3) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake (>= 3.1).
    + Build-Depends: Drop versioned constraint on extra-cmake-modules (>=
      1.4.0).
    + Build-Depends: Drop versioned constraint on fcitx-libs-dev (>= 1:4.2.8).

  [ Boyuan Yang ]
  * Bump Standards-Version to 4.7.0.
  * debian/libfcitx-qt5-1.symbols: Workaround symbol inconsistency.
    (Closes: #1076880)
  * debian/control: Replace build-dependency pkg-config => pkgconf.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Jul 2024 16:12:11 -0400

fcitx-qt5 (1.2.7-2) unstable; urgency=medium

  * Team upload.
  * Enable Qt6 support.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 11:59:18 -0400

fcitx-qt5 (1.2.7-1.2) unstable; urgency=high

  * Team upload.
  * Do not let fcitx-module-quickphrase-editor5 provide
    fcitx-module-quickphrase-editor. (Closes: #1005003)

 -- Boyuan Yang <byang@debian.org>  Sun, 06 Feb 2022 14:46:41 -0500

fcitx-qt5 (1.2.7-1.1) unstable; urgency=medium

  * Team upload.
  * Do not bump version string to -2 to preserve qt6
    package in Debian experimental.
  * Rename fcitx5-module-quickphrase-editor to
    fcitx-module-quickphrase-editor5. This package now has nothing
    to do with fcitx5. (Closes: #964189)

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Jan 2022 11:04:03 -0500

fcitx-qt5 (1.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/rules: Prepare for Qt6 infrastructure.
  * Refresh symbol files.
  * debian/copyright: Update copyright information.

 -- Boyuan Yang <byang@debian.org>  Fri, 07 Jan 2022 22:02:16 -0500

fcitx-qt5 (1.2.6-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.0.

  [ Gunnar Hjalmarsson ]
  * Tweak symbols file for ppc64el on Ubuntu

 -- Boyuan Yang <byang@debian.org>  Fri, 22 Oct 2021 15:16:46 -0400

fcitx-qt5 (1.2.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Tue, 17 Aug 2021 21:51:07 -0400

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,23 @@
 Source: fcitx-qt5
 Section: libs
 Priority: optional
-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
 Uploaders:
  Aron Xu <aron@debian.org>,
  YunQiang Su <syq@debian.org>,
 Build-Depends:
- cmake (>= 3.1),
+ cmake,
  debhelper-compat (= 13),
- extra-cmake-modules (>= 1.4.0),
- fcitx-libs-dev (>= 1:4.2.8),
+ extra-cmake-modules,
+ fcitx-libs-dev,
  intltool,
- pkg-config,
+ pkgconf,
  qtbase5-dev,
  qtbase5-private-dev,
-Standards-Version: 4.5.0
+ qt6-base-dev,
+ qt6-base-private-dev,
+Standards-Version: 4.7.0
 Homepage: https://www.fcitx-im.org
 Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-qt5.git
 Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-qt5
@@ -44,16 +47,18 @@
  This package provides the Qt5 IM Module frontend, which is necessary
  for Fcitx users who would like to use Qt5 applications.
 
-Package: fcitx5-module-quickphrase-editor
+Package: fcitx-module-quickphrase-editor5
 Architecture: any
 Depends:
  libfcitx-qt5-data,
  ${misc:Depends},
  ${shlibs:Depends},
 Replaces:
- fcitx-module-quickphrase-editor (<< 1:4.2.9.5~),
+ fcitx-module-quickphrase-editor,
+ fcitx5-module-quickphrase-editor,
 Breaks:
- fcitx-module-quickphrase-editor (<< 1:4.2.9.5~),
+ fcitx-module-quickphrase-editor,
+ fcitx5-module-quickphrase-editor,
 Suggests:
  fcitx-config-gtk | fcitx-config-gtk2 | kde-config-fcitx,
 Multi-Arch: same
@@ -69,8 +74,7 @@
  developer-friendly API.
  .
  This package provides the Quick Phrase Editor module for configuration tools
- including fcitx-config-gtk and kde-config-fcitx. It is compatible with both
- fcitx4 and fcitx5.
+ including fcitx-config-gtk and kde-config-fcitx. It is specific to fcitx4.
 
 Package: libfcitx-qt5-1
 Architecture: any
@@ -154,3 +158,28 @@
  pure Xlib, GTK+, or KDE, and a developer-friendly API.
  .
  This package provides the development files of fcitx-qt5.
+
+Package: fcitx-frontend-qt6
+Architecture: any
+Multi-Arch: same
+Pre-Depends:
+ ${misc:Pre-Depends},
+Depends:
+ fcitx-module-dbus,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Description: Free Chinese Input Toy of X - Qt6 IM Module frontend
+ Fcitx is the Free Chinese Input Toy of X, which was initially designed
+ for Chinese users, and used XIM protocol. Now it has already evolved
+ into a highly modularized, feature rich input method framework for
+ Unix-like platforms supporting a considerable amount of frontends,
+ backends and modules.
+ .
+ It offers a pleasant and modern experience, with intuitive graphical
+ configuration tools and customizable skins and mapping tables.
+ It is highly modularized and extensible,
+ with GTK+ 2/3 and Qt 4/5 IM Modules, support for UIs based on Fbterm,
+ pure Xlib, GTK+, or KDE, and a developer-friendly API.
+ .
+ This package provides the Qt6 IM Module frontend, which is necessary
+ for Fcitx users who would like to use Qt6 applications.

=== debian/watch ===
version=4
opts="pgpmode=auto" \
 https://download.fcitx-im.org/fcitx-qt5/ \
 fcitx-qt5-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
